ALTER TABLE `commands`
    MODIFY COLUMN `ref_type` varchar(20) NOT NULL COMMENT '引用类型，DEVICE:设备；DEVICE_PRODUCT_CODE:设备类型' AFTER `id`;

ALTER TABLE `command_points`
    DROP COLUMN `device_id`;

update commands
set ref_type = 'DEVICE_PRODUCT_CODE',
    ref_id   = 4
where ref_type = 'DEVICE'
  and ref_id = 1;
update commands
set ref_type = 'DEVICE_PRODUCT_CODE',
    ref_id   = 6
where ref_type = 'DEVICE'
  and ref_id = 2;


INSERT INTO `commands` (`id`, `ref_type`, `ref_id`, `name`, `code`, `type`, `collection_frequency`, `command`,
                        `start_address`, `message_length`, `details`)
VALUES (10201, 'DEVICE_PRODUCT_CODE', 5, '线圈寄存器02', 'COIL_REGISTER_02', 'COLLECTION', 30, '010200140004 ', 20, 26,
        '');
INSERT INTO `commands` (`id`, `ref_type`, `ref_id`, `name`, `code`, `type`, `collection_frequency`, `command`,
                        `start_address`, `message_length`, `details`)
VALUES (10202, 'DEVICE_PRODUCT_CODE', 5, '输入寄存器04', 'INPUT_REGISTER_04', 'COLLECTION', 30, '0104000A001A', 10, 114,
        '');
INSERT INTO `commands` (`id`, `ref_type`, `ref_id`, `name`, `code`, `type`, `collection_frequency`, `command`,
                        `start_address`, `message_length`, `details`)
VALUES (10203, 'DEVICE_PRODUCT_CODE', 5, '输入寄存器03', 'INPUT_REGISTER_03', 'COLLECTION', 30, '0103006A002A', 106,
        178, '');

INSERT INTO `command_points` (`id`, `command_id`, `field`, `name`, `details`, `start_address`, `step_size`, `factor`,
                              `precision`, `format`, `decode_name`)
VALUES (12001, 10201, 'solenoidValveAClosedPlungerNotReached', '电磁阀A关闭,柱塞未到达', '', 20, 1, NULL, NULL, '', '');
INSERT INTO `command_points` (`id`, `command_id`, `field`, `name`, `details`, `start_address`, `step_size`, `factor`,
                              `precision`, `format`, `decode_name`)
VALUES (12002, 10201, 'solenoidValveAOpenedPlungerNotReached', '电磁阀A开启,柱塞未到达', '', 21, 1, NULL, NULL, '', '');
INSERT INTO `command_points` (`id`, `command_id`, `field`, `name`, `details`, `start_address`, `step_size`, `factor`,
                              `precision`, `format`, `decode_name`)
VALUES (12003, 10201, 'solenoidValveAClosedPlungerReached', '电磁阀A关闭,柱塞到达', '', 28, 1, NULL, NULL, '', '');
INSERT INTO `command_points` (`id`, `command_id`, `field`, `name`, `details`, `start_address`, `step_size`, `factor`,
                              `precision`, `format`, `decode_name`)
VALUES (12004, 10201, 'solenoidValveAOpenedPlungerReached', '电磁阀A开启,柱塞到达', '', 29, 1, NULL, NULL, '', '');
INSERT INTO `command_points` (`id`, `command_id`, `field`, `name`, `details`, `start_address`, `step_size`, `factor`,
                              `precision`, `format`, `decode_name`)
VALUES (12005, 10202, 'controllerCurrentStatus', '控制器当前状态', '', 10, 1, NULL, NULL, '', '');
INSERT INTO `command_points` (`id`, `command_id`, `field`, `name`, `details`, `start_address`, `step_size`, `factor`,
                              `precision`, `format`, `decode_name`)
VALUES (12006, 10202, 'currentStatusRemainingTime', '当前状态剩余时间', '', 11, 3, NULL, NULL, '%s:%s:%s',
        'stringTime');
INSERT INTO `command_points` (`id`, `command_id`, `field`, `name`, `details`, `start_address`, `step_size`, `factor`,
                              `precision`, `format`, `decode_name`)
VALUES (12007, 10202, 'currentStatusStartTime', '当前状态开始时间', '', 14, 6, NULL, NULL, '%s-%s-%s %s:%s:%s',
        'localDateTime');
INSERT INTO `command_points` (`id`, `command_id`, `field`, `name`, `details`, `start_address`, `step_size`, `factor`,
                              `precision`, `format`, `decode_name`)
VALUES (12008, 10202, 'casPressure', '套压', '', 32, 1, 10.00, 1, '', 'factor');
INSERT INTO `command_points` (`id`, `command_id`, `field`, `name`, `details`, `start_address`, `step_size`, `factor`,
                              `precision`, `format`, `decode_name`)
VALUES (12009, 10202, 'oilPressure', '油压', '', 35, 1, 10.00, 1, '', 'factor');
INSERT INTO `command_points` (`id`, `command_id`, `field`, `name`, `details`, `start_address`, `step_size`, `factor`,
                              `precision`, `format`, `decode_name`)
VALUES (12010, 10203, 'plungerRiseTime', '柱塞上升时间', '', 106, 3, NULL, NULL, '%s:%s:%s', 'stringTime');
INSERT INTO `command_points` (`id`, `command_id`, `field`, `name`, `details`, `start_address`, `step_size`, `factor`,
                              `precision`, `format`, `decode_name`)
VALUES (12011, 10203, 'arrivalSensorDelayTime', '到达传感器延时时间', '', 139, 3, NULL, NULL, '%s:%s:%s', 'stringTime');
INSERT INTO `command_points` (`id`, `command_id`, `field`, `name`, `details`, `start_address`, `step_size`, `factor`,
                              `precision`, `format`, `decode_name`)
VALUES (12012, 10203, 'wellShutInTime', '关井时间', '', 142, 3, NULL, NULL, '%s:%s:%s', 'stringTime');
INSERT INTO `command_points` (`id`, `command_id`, `field`, `name`, `details`, `start_address`, `step_size`, `factor`,
                              `precision`, `format`, `decode_name`)
VALUES (12013, 10203, 'afterFlowTime', '续流时间', '', 145, 3, NULL, NULL, '%s:%s:%s', 'stringTime');

INSERT INTO `command_points` (`id`, `command_id`, `field`, `name`, `details`, `start_address`, `step_size`, `factor`,
                              `precision`, `format`, `decode_name`)
VALUES (13000, 10300, 'casPressure', '套压', 'MPa；-3表示现场仪表通信故障', 50, 1, 100.00, 2, NULL, 'factor');
INSERT INTO `command_points` (`id`, `command_id`, `field`, `name`, `details`, `start_address`, `step_size`, `factor`,
                              `precision`, `format`, `decode_name`)
VALUES (13001, 10300, 'oilPressure', '油压', 'MPa；-3表示现场仪表通信故障', 51, 1, 100.00, 2, NULL, 'factor');
INSERT INTO `command_points` (`id`, `command_id`, `field`, `name`, `details`, `start_address`, `step_size`, `factor`,
                              `precision`, `format`, `decode_name`)
VALUES (13002, 10300, 'alarm', '报警信息', '1高压集气压力低2低压集气压力高3是柱塞危险上升4 柱塞快速上升次数超过设定值',
        52, 1, NULL, NULL, NULL, NULL);
INSERT INTO `command_points` (`id`, `command_id`, `field`, `name`, `details`, `start_address`, `step_size`, `factor`,
                              `precision`, `format`, `decode_name`)
VALUES (13003, 10300, 'solenoidValveStatus', '电磁阀状态', '0-未知；1-关状态；2-开状态；', 53, 1, NULL, NULL, NULL, NULL);
INSERT INTO `command_points` (`id`, `command_id`, `field`, `name`, `details`, `start_address`, `step_size`, `factor`,
                              `precision`, `format`, `decode_name`)
VALUES (13004, 10300, 'openWellRemainingTime', '定时开井剩余时间', '分钟', 54, 1, NULL, NULL, NULL, 'minuteLocalTime');
INSERT INTO `command_points` (`id`, `command_id`, `field`, `name`, `details`, `start_address`, `step_size`, `factor`,
                              `precision`, `format`, `decode_name`)
VALUES (13005, 10300, 'closeWellRemainingTime', '定时关井剩余时间', '分钟', 55, 1, NULL, NULL, NULL, 'minuteLocalTime');
INSERT INTO `command_points` (`id`, `command_id`, `field`, `name`, `details`, `start_address`, `step_size`, `factor`,
                              `precision`, `format`, `decode_name`)
VALUES (13006, 10300, 'plugArrivalStatus', '柱塞到达信号', '0-未到达；1-到达；', 56, 1, NULL, NULL, NULL, NULL);
INSERT INTO `command_points` (`id`, `command_id`, `field`, `name`, `details`, `start_address`, `step_size`, `factor`,
                              `precision`, `format`, `decode_name`)
VALUES (13007, 10300, 'plugTooFastCount', '柱塞过快次数', '次', 57, 1, NULL, NULL, NULL, NULL);
INSERT INTO `command_points` (`id`, `command_id`, `field`, `name`, `details`, `start_address`, `step_size`, `factor`,
                              `precision`, `format`, `decode_name`)
VALUES (13008, 10300, 'plugRisingSpeed', '柱塞上升速度', '米/分钟', 58, 1, NULL, NULL, NULL, NULL);
INSERT INTO `command_points` (`id`, `command_id`, `field`, `name`, `details`, `start_address`, `step_size`, `factor`,
                              `precision`, `format`, `decode_name`)
VALUES (13009, 10300, 'downstreamPressure', '阀后压力', 'MPa；-3表示现场仪表通信故障', 59, 1, 100.00, 2, NULL, 'factor');
INSERT INTO `command_points` (`id`, `command_id`, `field`, `name`, `details`, `start_address`, `step_size`, `factor`,
                              `precision`, `format`, `decode_name`)
VALUES (13010, 10300, 'solenoidValveOpening', '电控阀阀门开度', '%；保留1位小数；开度范围0~100%', 60, 1, 10.00, 1, NULL,
        'factor');
INSERT INTO `command_points` (`id`, `command_id`, `field`, `name`, `details`, `start_address`, `step_size`, `factor`,
                              `precision`, `format`, `decode_name`)
VALUES (13011, 10300, 'reserve', '预留', NULL, 61, 1, NULL, NULL, NULL, NULL);
INSERT INTO `command_points` (`id`, `command_id`, `field`, `name`, `details`, `start_address`, `step_size`, `factor`,
                              `precision`, `format`, `decode_name`)
VALUES (13012, 10300, 'prePressure', '柱塞外输压力', 'MPa；-3表示现场仪表通信故障', 62, 1, 100.00, 2, NULL, 'factor');
INSERT INTO `command_points` (`id`, `command_id`, `field`, `name`, `details`, `start_address`, `step_size`, `factor`,
                              `precision`, `format`, `decode_name`)
VALUES (13013, 10300, 'runMode', '运行制度', '0-未知；1-定时开关井；2-压力优化微升；3-自动优化；', 63, 1, NULL, NULL, NULL,
        NULL);
INSERT INTO `command_points` (`id`, `command_id`, `field`, `name`, `details`, `start_address`, `step_size`, `factor`,
                              `precision`, `format`, `decode_name`)
VALUES (13014, 10300, 'wellStatus', '开关井控制', '0-初始值；1-开井；2-关井；', 64, 1, NULL, NULL, NULL, NULL);
INSERT INTO `command_points` (`id`, `command_id`, `field`, `name`, `details`, `start_address`, `step_size`, `factor`,
                              `precision`, `format`, `decode_name`)
VALUES (13015, 10300, 'gasCollectionMethod', '集气方式', '1-高压集气；2-低压集气；', 65, 1, NULL, NULL, NULL, NULL);
INSERT INTO `command_points` (`id`, `command_id`, `field`, `name`, `details`, `start_address`, `step_size`, `factor`,
                              `precision`, `format`, `decode_name`)
VALUES (13016, 10300, 'highPressureProtection', '高压保护压力', 'MPa；低压集气方式  高压保护设置；', 66, 1, 100.00, 2,
        NULL, 'factor');
INSERT INTO `command_points` (`id`, `command_id`, `field`, `name`, `details`, `start_address`, `step_size`, `factor`,
                              `precision`, `format`, `decode_name`)
VALUES (13017, 10300, 'lowPressureProtection', '低压保护压力', 'MPa；高压集气方式  低压保护设置；', 67, 1, 100.00, 2,
        NULL, 'factor');
INSERT INTO `command_points` (`id`, `command_id`, `field`, `name`, `details`, `start_address`, `step_size`, `factor`,
                              `precision`, `format`, `decode_name`)
VALUES (13018, 10300, 'tooFastCount', '过快次数设置', '次', 68, 1, NULL, NULL, NULL, NULL);
INSERT INTO `command_points` (`id`, `command_id`, `field`, `name`, `details`, `start_address`, `step_size`, `factor`,
                              `precision`, `format`, `decode_name`)
VALUES (13019, 10300, 'dangerousRiseTime', '危险上升时间', '秒', 69, 1, NULL, NULL, NULL, 'secondLocalTime');
INSERT INTO `command_points` (`id`, `command_id`, `field`, `name`, `details`, `start_address`, `step_size`, `factor`,
                              `precision`, `format`, `decode_name`)
VALUES (13020, 10300, 'tooFastRiseTime', '过快上升时间', '秒', 70, 1, NULL, NULL, NULL, 'secondLocalTime');
INSERT INTO `command_points` (`id`, `command_id`, `field`, `name`, `details`, `start_address`, `step_size`, `factor`,
                              `precision`, `format`, `decode_name`)
VALUES (13021, 10300, 'openWellTime', '开井时间设置', '小时', 71, 1, 60.00, 2, NULL, 'factor');
INSERT INTO `command_points` (`id`, `command_id`, `field`, `name`, `details`, `start_address`, `step_size`, `factor`,
                              `precision`, `format`, `decode_name`)
VALUES (13022, 10300, 'closeWellTime', '关井时间设置', '小时', 72, 1, 60.00, 2, NULL, 'factor');
INSERT INTO `command_points` (`id`, `command_id`, `field`, `name`, `details`, `start_address`, `step_size`, `factor`,
                              `precision`, `format`, `decode_name`)
VALUES (13023, 10300, 'openWellCasPressure', '套压开井压力', 'MPa；压力优化微升模式；', 73, 1, 100.00, 2, NULL, 'factor');
INSERT INTO `command_points` (`id`, `command_id`, `field`, `name`, `details`, `start_address`, `step_size`, `factor`,
                              `precision`, `format`, `decode_name`)
VALUES (13024, 10300, 'littleRiseCasPressure', '套压微升压力', 'MPa；压力优化微升模式；', 74, 1, 100.00, 2, NULL,
        'factor');
INSERT INTO `command_points` (`id`, `command_id`, `field`, `name`, `details`, `start_address`, `step_size`, `factor`,
                              `precision`, `format`, `decode_name`)
VALUES (13025, 10300, 'checkStabilityTime', '检测稳定时间', '秒', 75, 1, NULL, NULL, NULL, 'secondLocalTime');
INSERT INTO `command_points` (`id`, `command_id`, `field`, `name`, `details`, `start_address`, `step_size`, `factor`,
                              `precision`, `format`, `decode_name`)
VALUES (13026, 10300, 'minCloseWellTime', '最小关井时间', '分钟', 76, 1, NULL, NULL, NULL, 'minuteLocalTime');
INSERT INTO `command_points` (`id`, `command_id`, `field`, `name`, `details`, `start_address`, `step_size`, `factor`,
                              `precision`, `format`, `decode_name`)
VALUES (13027, 10300, 'maxCloseWellTime', '最大关井时间', '分钟', 77, 1, NULL, NULL, NULL, 'minuteLocalTime');
INSERT INTO `command_points` (`id`, `command_id`, `field`, `name`, `details`, `start_address`, `step_size`, `factor`,
                              `precision`, `format`, `decode_name`)
VALUES (13028, 10300, 'minOpenWellTime', '最小开井时间', '分钟', 78, 1, NULL, NULL, NULL, 'minuteLocalTime');
INSERT INTO `command_points` (`id`, `command_id`, `field`, `name`, `details`, `start_address`, `step_size`, `factor`,
                              `precision`, `format`, `decode_name`)
VALUES (13029, 10300, 'maxOpenWellTime', '最大开井时间', '分钟', 79, 1, NULL, NULL, NULL, 'minuteLocalTime');
INSERT INTO `command_points` (`id`, `command_id`, `field`, `name`, `details`, `start_address`, `step_size`, `factor`,
                              `precision`, `format`, `decode_name`)
VALUES (13030, 10300, 'wellDepth', '气井深度', '米', 80, 1, NULL, NULL, NULL, NULL);
INSERT INTO `command_points` (`id`, `command_id`, `field`, `name`, `details`, `start_address`, `step_size`, `factor`,
                              `precision`, `format`, `decode_name`)
VALUES (13031, 10300, 'produceMode', '生产制度', '1-常开；2-常关；3-柱塞气举；', 81, 1, NULL, NULL, NULL, NULL);

delete
from `command_points`
where `id` in (12002, 12003, 12004);
update `command_points`
set details = '电磁阀A状态'
where `id` = 12001;

UPDATE `command_points`
SET `format`      = '%s年%s月%s天 %s:%s:%s',
    `decode_name` = NULL
WHERE `id` = 12007;

UPDATE `command_points`
SET `field` = 'prePressure'
WHERE `command_id` = 10102
  and `field` = 'preTransmission';


INSERT INTO `command_points` (`id`, `command_id`, `field`, `name`, `details`, `start_address`, `step_size`, `factor`,
                              `precision`, `format`, `decode_name`)
VALUES (12031, 10202, 'prePressure', '输压', NULL, 31, 1, 1000.00, 3, NULL, 'factor');


